Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.exceptions
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.apps.groupspace.exceptions.ConfigurationException

All Implemented Interfaces
  Serializable

    public class ConfigurationException

extends ApplicationException

This exception signifies that an expected configuration has not been found.

See Also
  Serialized Form

Constructor Summary
`ConfigurationException(String message)` This one doesn't have a configurain file associated with it, but indicates the GroupSpace runtime is misconfigured in some way, indicated by the message.
`ConfigurationException(String message, String missingParam, String configFile)`

Method Summary
`String` | `getConfigurationFile()`
`String` | `getMissingParam()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(String message,
                                  String missingParam,
                                  String configFile)

Parameters
  `message` - String representing the Exception message
  `missingParam` - The name of the missing parameter
  `configFile` - The name of the configuration file where the parameter was expected to be found

### ConfigurationException

    public ConfigurationException(String message)

  This one doesn't have a configurain file associated with it, but indicates the GroupSpace runtime is misconfigured in some way, indicated by the message.

Method Detail

### getConfigurationFile

    public String getConfigurationFile()

  Returns
    The name of the configuration file where the parameter was expected to be found.

### getMissingParam

    public String getMissingParam()

  Returns
    The name of the missing parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved